
import http from '@/http'
export const list = params =>
  http.get('/api/v1/annualPlan/list', { params }) // 年度计划列表
export const defer = data =>
  http.post('/api/v1/annualPlan/suspendAnnualPlan', data) // 年度计划-暂缓
export const projectApprove = data =>
  http.post('/api/v1/annualPlan/projectApproved', data) // 立项批复
export const startDeclare = data =>
  http.post('/api/v1/annualPlan/startProjectDeclared', data) // 年度计划-开启方案申报
export const annualPlanImport = data =>
  http.post('/api/v1/annualPlan/importAnnualPlan', data) // 年度计划-导入
export const exportEditTable = params =>
  http.get('/api/v1/annualPlan/exportAnnualPlanEditTable', { params }) // 年度计划-导出编辑表
export const exportAnnualPlanEditTable = data =>
  http.post('/api/v1/annualPlan/exportModifyList', data, { responseType: 'blob' }) // 导出年度计划库【编辑表|列表】java
export const annualPlanModify = data =>
  http.post('/api/v1/annualPlan/modify', data) // 年度计划-编辑
export const projectExcel = data =>
  http.post('/api/v1/annualPlan/exportList', data, { responseType: 'blob' }) // 项目库导出

export const operationPackageList = data =>
  http.get('/api/v1/annualPlan/operationPackageList') // 查询所有的运维包

// api/v1/annualPlan/operationPackageSave
// 添加运维包，两个参数
// operationPackageName运维包名称
// operationPackageYear预算年度
// 传参：
// {
//   "operationPackageName": "",
//   "operationPackageYear": 1
// }
export const operationPackageSave = data =>
  http.post('/api/v1/annualPlan/operationPackageSave', data) // 添加运维包，两个参数

// api/v1/annualPlan/relevancyPackage
// 关联运维包
// 传参：
// {
//   "operationPackageId":1,
//   "projectCodes":
//   [
//     "33050000020240400003"
//   ]
// }
export const relevancyPackage = data =>
  http.post('/api/v1/annualPlan/relevancyPackage', data) // 年度计划-编辑
